Loading...
Searching...
No Matches
allocator.hh File Reference
`#include <memory>`
`#include <type_traits>`
`#include <dune/common/typetraits.hh>`

Go to the source code of this file.

## Classes

struct | Dune::exists< T >
struct | Dune::DefaultAllocatorTraits< T, typename >
struct | Dune::DefaultAllocatorTraits< T, std::void_t< typename T::allocator_type > >
struct | Dune::AllocatorTraits< T >

## Namespaces

namespace | Dune

## Typedefs

template<typename T>
using | Dune::AllocatorType = typename AllocatorTraits<T>::type
template<typename T, typename X>
using | Dune::ReboundAllocatorType = typename std::allocator_traits<typename AllocatorTraits<T>::type>::template rebind_alloc<X>